package com.ematou.wxservice.entity.vo;

import java.sql.Timestamp;

/**
 * @author lhm
 * @version 1.0
 * 2021-04-30 11:45
 */
public class AccessToken {

    private Integer id;

    private String accessToken;

    private String expiresTime;

    private String effectTime;

    private Integer expiresIn;

    private Integer opId;

    private Integer isValid;

    private String createrSn;

    private String createTime;

    private String moderSn;

    private String modTime;

    private Timestamp tstm;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getExpiresTime() {
        return expiresTime;
    }

    public void setExpiresTime(String expiresTime) {
        this.expiresTime = expiresTime;
    }

    public String getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(String effectTime) {
        this.effectTime = effectTime;
    }

    public Integer getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(Integer expiresIn) {
        this.expiresIn = expiresIn;
    }

    public Integer getOpId() {
        return opId;
    }

    public void setOpId(Integer opId) {
        this.opId = opId;
    }

    public Integer getIsValid() {
        return isValid;
    }

    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public String getModTime() {
        return modTime;
    }

    public void setModTime(String modTime) {
        this.modTime = modTime;
    }

    public Timestamp getTstm() {
        return tstm;
    }

    public void setTstm(Timestamp tstm) {
        this.tstm = tstm;
    }

    @Override
    public String toString() {
        return "AccessToken{" +
                "id=" + id +
                ", accessToken='" + accessToken + '\'' +
                ", expiresTime='" + expiresTime + '\'' +
                ", effectTime='" + effectTime + '\'' +
                ", expiresIn=" + expiresIn +
                ", opId=" + opId +
                ", isValid=" + isValid +
                '}';
    }
}
